Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04483 Compiling Minor Always Sep 7, 2011, 23:25 Sep 20, 2011, 20:54
Tester fgsch View Status Public Platform SDLMAME
Assigned To R. Belmont Resolution Fixed OS Other
Status [?] Resolved   Driver
Version 0.143u5 Fixed in Version 0.143u6 Build 64-bit
Summary 04483: sdlmame does not build in OpenBSD
Description signal.h needs to be included for OpenBSD as well in src/osd/sdl/sdlsync_ntc.c, otherwise sdlmame won't build.
Steps To Reproduce Try to compile sdlmame on OpenBSD.
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
? file icon patch-src_osd_sdl_sdlsync_ntc_c.diff (292 bytes)  Sep 7, 2011, 23:25 by fgsch [Show Content]


-  Notes
User avatar
No.07770
fgsch
(Tester)
Sep 7, 2011, 23:40
FWIW, same problem affects sdlmess and this diff fixes it.
User avatar
No.07771
Tafoid
(Administrator)
Sep 8, 2011, 17:12
This was submitted to SVN by R. Belmont - should appear for 0.143u6